Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 538638 - [kde overlay] kde-base/korganizer-4.14.5 should RDEPEND on || (kde-base/ktimezoned kde-apps/ktimezoned)
Summary: [kde overlay] kde-base/korganizer-4.14.5 should RDEPEND on || (kde-base/ktime...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-03 10:27 UTC by Paolo Pedroni
Modified: 2015-03-29 12:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
korganizer-fix_ktimezoned_dep.patch (file_538638.txt,443 bytes, patch)
2015-02-26 08:08 UTC, Paolo Pedroni
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2015-02-03 10:27:30 UTC
It's the only remaining blocker for an experimental conversion to KDE plasma + frameworks + apps that I'm doing.

At the moment I get:

# emerge -1pv korganizer

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] kde-base/ktimezoned-4.14.3:4/4.14  USE="(-aqua) -debug" 0 KiB
[ebuild  N     ] kde-base/korganizer-4.14.3:4/4.14  USE="handbook kontact (-aqua) -debug" 0 KiB
[blocks B      ] kde-base/ktimezoned ("kde-base/ktimezoned" is blocking kde-apps/ktimezoned-14.12.1)

Total: 2 packages (2 new), Size of downloads: 0 KiB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-apps/ktimezoned-14.12.1:4/14.12::kde, installed) pulled in by
    >=kde-apps/ktimezoned-14.12.1 required by (kde-apps/kdebase-runtime-meta-14.12.1:5/5::kde, installed)

  (kde-base/ktimezoned-4.14.3:4/4.14::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-base/ktimezoned-4.14.3:4[aqua=] (>=kde-base/ktimezoned-4.14.3:4[-aqua]) required by (kde-base/korganizer-4.14.3:4/4.14::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

# equery d kde-apps/ktimezoned
 * These packages depend on kde-apps/ktimezoned:
kde-apps/kdebase-runtime-meta-14.12.1 (>=kde-apps/ktimezoned-14.12.1)

kde-base/korganizer should be able to use ktimezoned from kde-apps, as it's still in slot 4.
Comment 1 George L. Emigh 2015-02-08 20:55:50 UTC
I would seem that korganizer-4.14.5 should RDEPEND on kde-apps/ktimezoned also

[ebuild  N     ] kde-base/ktimezoned-4.14.3:4/4.14  USE="(-aqua) -debug" 0 KiB
[uninstall     ] kde-apps/ktimezoned-14.12.2:4/14.12::kde  USE="(-aqua) -debug" 
[blocks b      ] kde-base/ktimezoned ("kde-base/ktimezoned" is blocking kde-apps/ktimezoned-14.12.2)
[ebuild     U ~] kde-base/korganizer-4.14.5:4/4.14::kde [4.14.3:4/4.14::gentoo] USE="handbook kontact (-aqua) -debug" 0 KiB
Comment 2 Paolo Pedroni 2015-02-26 08:05:57 UTC
(In reply to George L. Emigh from comment #1)
> I would seem that korganizer-4.14.5 should RDEPEND on kde-apps/ktimezoned
> also
> 
> [ebuild  N     ] kde-base/ktimezoned-4.14.3:4/4.14  USE="(-aqua) -debug" 0
> KiB
> [uninstall     ] kde-apps/ktimezoned-14.12.2:4/14.12::kde  USE="(-aqua)
> -debug" 
> [blocks b      ] kde-base/ktimezoned ("kde-base/ktimezoned" is blocking
> kde-apps/ktimezoned-14.12.2)
> [ebuild     U ~] kde-base/korganizer-4.14.5:4/4.14::kde
> [4.14.3:4/4.14::gentoo] USE="handbook kontact (-aqua) -debug" 0 KiB

I changed the title to reflect that. The patch to fix it is trivial and I'll add it shortly.
Comment 3 Paolo Pedroni 2015-02-26 08:08:56 UTC
Created attachment 397538 [details, diff]
korganizer-fix_ktimezoned_dep.patch
Comment 4 Johannes Huber gentoo-dev 2015-03-29 12:14:34 UTC
Thanks. Fixed in git now. Will be moved to the tree soon.

https://gitweb.gentoo.org/proj/kde.git/commit/?id=2f3644c73c23f2edddcffcba3539d3197fd43793